.col-contenido .mapView {
    position: fixed;
    left: 0; /*top: 0;*/
    z-index: 0;
    width: 100%;
    height: calc(100% - 95px);
}
.col-contenido .mapView > img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.mapa {
    overflow: hidden;
    z-index: 1;
    position: relative;
}
.mapa .container > .row {
    position: relative;
}
.mapa #main .row {
    position: relative;
}
.mapa .col-contenido .wrapCol {
    position: relative;
}
.mapa .col-facetas {
    display: none;
}
.mapa.facetas-abiertas .col-facetas {
    display: block;
}
.mapa.facetas-abiertas-mapa .col-facetas {
    display: block;
    position: absolute;
    top: 120px;
    left: 8px;
    z-index: 1041;
}
.mapa.facetas-abiertas-mapa .col-facetas .header-facetas {
    display: none;
}
.mapa.facetas-abiertas-mapa .col-facetas #panFacetas {
    height: calc(100vh - 375px);
    overflow: auto;
    padding: 15px;
    border: 1px solid #e2e2e2;
}
.mapa .col-buscador {
    display: none;
}
.mapa #panFiltros {
    position: absolute; /*left: 0;*/
    top: 70px;
    z-index: 102;
    background: transparent;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}
.mapa #panFiltros .borrarFiltros {
    background-color: #fff;
    padding: 10px 30px;
    margin-bottom: 2px;
    border: 1px solid #ddd;
}

.btn-filtrar-mapa {
    display: none;
}
.mapa .btn-filtrar-mapa {
    background: #fff;
    border: 1px solid #ddd;
    height: 38px;
    width: 38px;
    color: #000;
    margin-right: 6px;
    margin-bottom: 2px;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

.mapa3d {
    background-color: #f8f8f8;
    flex: 1;
    overflow: hidden;
    display: none;
    position: relative;
    height: calc(100vh - 150px);
}

.fichaArquitecto .mapa3d {
    height: auto;
}

.mapa3d .leaflet-control-extra {
    position: absolute;
    top: 0px;
    right: 0px;
    margin-top: 10px;
    margin-right: 10px;
    display: flex;
    box-shadow: none;
    border: 1px solid gray !important;
    border-radius: 0 !important;
}

.mapa3d .leaflet-control-extra > a {
    border:none!important;
    border-radius: 0 !important;
    width: 30px;
    height: 30px;
    line-height: 30px;
    display: flex;
    user-select: none;
    justify-content: center;
    align-items: center;
}

.mapa3d .leaflet-control-extra > a:first-child {
    border-right: 1px solid gray !important;
}

.mapa3d .leaflet-control-extra > a.leaflet-control-3d {
    font-family: var(--f-inter-semibold);
    color: gray;
    font-size: 12px;
}

.mapa3d iframe {
    margin: -70px -60px;
    height: calc(100% + 140px);
    width: calc(100% + 120px);
}

div#mapGoogle_Location {
    height: calc(100vh - 100px);
    display: block;
}

.capa-anti-eventos {
    background: rgba(0,0,0,.5);
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 9999;
    cursor: pointer;
    opacity: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 16px;
}

.capa-anti-eventos:hover {
    opacity: 1;
}

.capa-anti-eventos .icon::before {
    content: "";
    display: block;
    background-image: url(./resources/iconos/clic.svg);
    height: 122px;
    width: 68px;
}

.capa-anti-eventos .text {
    font-family: var(--f-inter-semibold);
    font-size: 27px;
    line-height: 27px;
    color: #fff;
}

@media (max-width: 1199px) {
    .col-contenido .mapView {
        width: 100% !important;
    }
}

@media (max-width: 991px) {
    .capa-anti-eventos .icon::before {
        background-image: url(./resources/iconos/zoom-tablet.svg);
        height: 83px;
        width: 117px;
        filter: brightness(0) invert(1);
    }
}

/* LEAFLET */
/* .leaflet-control-attribution { display: none; } */

.leaflet-bottom {
    left: 0;
    right: inherit;
}

.leaflet-marker-icon.default-div-icon {
    background: url("./resources/maps/green-point.png");
    width: 100px !important;
    height: 100px !important;
    left: -40px;
    top: -38px;
}
.leaflet-marker-icon.defaultAux-div-icon {
    background: url("./resources/maps/permanente.png");
    width: 100px !important;
    height: 100px !important;
    left: -40px;
    top: -38px;
}

.leaflet-marker-icon.default-div-icon.leaflet-zoom-animated.leaflet-interactive {
    /* transform: translate3d(951px, 160px, 0px) !important; */
    z-index: 160 !important;
}
.leaflet-tile {
    /* filter: grayscale(100%); */
}

.leaflet-popup-content .mapView {
    position: relative;
    margin: 0;
}

.leaflet-tooltip {
    background: none !important;
    border: 0 !important;
    box-shadow: none !important;
}

.leaflet-tooltip-right {
    background: none !important;
    border: 0 !important;
    box-shadow: none !important;
    top: -28px;
    left: 20px;
    margin-left: 25px;
    margin-right: 25px;
    text-shadow: 2px 0 0 #fff, -2px 0 0 #fff, 0 2px 0 #fff, 0 -2px 0 #fff, 1px 1px #fff, -1px -1px 0 #fff,
        1px -1px 0 #fff, -1px 1px 0 #fff;
}

.leaflet-tooltip-right::before {
    display: none;
}

.leaflet-top.leaflet-right {
    display: flex;
}

.leaflet-top.leaflet-right .leaflet-control-extra,
.leaflet-top.leaflet-right .leaflet-control-zoom {
    display: flex;
    border: 1px solid gray !important;
    border-radius: 0;
    user-select: none;
}

.leaflet-top.leaflet-right .leaflet-control-extra {
    border: 0 !important;
}

.leaflet-control-extra .leaflet-control-center {
    display: none !important;
}

.leaflet-top.leaflet-right .leaflet-control-center {
    border: none;
    display: flex;
    border-right: 1px solid gray !important;
    justify-content: center;
    align-items: center;
}

.leaflet-top.leaflet-right .leaflet-control-3d {
    font-family: var(--f-inter-semibold);
    color: gray;
}

.leaflet-top.leaflet-right .leaflet-control-zoom .leaflet-control-zoom-in,
.leaflet-top.leaflet-right .leaflet-control-zoom .leaflet-control-zoom-out {
    color: transparent;
    position: relative;
    border: none !important;
}

.leaflet-top.leaflet-right .leaflet-control-zoom .leaflet-control-zoom-in.leaflet-disabled:after,
.leaflet-top.leaflet-right .leaflet-control-zoom .leaflet-control-zoom-out.leaflet-disabled:after {
    opacity: 0.4;
}

.leaflet-top.leaflet-right .leaflet-control-zoom .leaflet-control-zoom-in:after,
.leaflet-top.leaflet-right .leaflet-control-zoom .leaflet-control-zoom-out:after {
    visibility: visible;
    font-family: "Material Symbols Outlined";
    content: "add";
    font-size: 28px;
    position: absolute;
    left: 0px;
    z-index: 1;
    color: gray;
}

.leaflet-top.leaflet-right .leaflet-control-zoom .leaflet-control-zoom-out:after {
    content: "remove";
    border-left: 1px solid gray !important;
}

.leaflet-marker-icon {
    border-radius: 50%;
}

.leaflet-marker-pane .radio {
    position: absolute;
    border-radius: 50%;
    outline: 0px solid !important;
    transition: outline 0.3s;
    outline-offset: -30px !important;
    opacity: 0.6;
}

.leaflet-marker-pane .radio.show-radio {
    outline-width: 40px !important;
}

.leaflet-marker-pane .radio.permanente {
    outline-color: #ff6b6b !important;
}

.leaflet-marker-pane .radio.efimera {
    outline-color: #b679d5 !important;
}

.leaflet-marker-pane .radio.desparecida {
    outline-color: #747373 !important;
}

.leaflet-marker-pane .marker-cluster {
    background-image: url('./resources/maps/permanente-radio.png');
    background-size: contain;
}

.leaflet-marker-pane .marker-cluster.gris {
    background-image: url('./resources/maps/no-existente-radio.png');
}

.leaflet-marker-pane .marker-cluster.morada {
    background-image: url('./resources/maps/efimera-radio.png');
}

.leaflet-marker-pane .marker-cluster div {
    position: relative;
    top: 9px;
    left: 10px;
    width: 30px;
    display: flex;
    justify-content: center;
}

.leaflet-marker-pane .marker-cluster #numeroHijos {
    font-size: 11px;
    line-height: 27px;
    color: #fff;
    font-weight: 700;
}

.leaflet-popup-content-wrapper {
    border-radius: 0;
}

.leaflet-popup-content {
    margin: 0;
    width: 225px;
}

.leaflet-popup-content .resource {
    padding: 2px;
    max-height: calc(100vh - 215px);
    overflow: auto;
}

.leaflet-popup-content .resource .image {
    width: 100%;
    height: 145px;
    position: relative;
}

.leaflet-popup-content .resource .image.default::before {
    content: '';
    background: url(./resources/logotipos/logomuseoblanco.svg) #d8d8d8 no-repeat center;
    display: block;
    height: 100%;
    width: 100%;
    position: absolute;
}

.leaflet-popup-content .resource .image img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.leaflet-popup-content .resource .content {
    padding: 10px;
}

.leaflet-popup-content .resource .content .leaflet-control-3d {
    font-family: var(--f-inter-semibold);
    color: gray;
    font-size: 12px;
    width: 30px;
    height: 30px;
    line-height: 30px;
    display: flex;
    user-select: none;
    justify-content: center;
    align-items: center;
    border: 1px solid gray !important;
    position: absolute;
    top: 8px;
    right: 25px;
    background: #fff;
}

.leaflet-popup-content .resource .content .title {
    font-size: 16px;
    font-family: var(--f-grosa-bold);
    text-transform: uppercase;
    margin-bottom: 0;
    margin-top: 0;
    color: var(--c-texto);
    letter-spacing: 2px;
}

.leaflet-popup-content .resource .content .info,
.leaflet-popup-content .resource .content .address,
.leaflet-popup-content .resource .content .address p {
    font-size: 12px;
    margin-bottom: 0;
    margin-top: 0;
    padding-bottom: 10px;
    padding-top: 10px;
    color: #707070;
}

.leaflet-popup-content .resource .content .address p {
    padding-bottom: 0;
    padding-top: 0;
}

.leaflet-popup-content .resource .content .info {
    border-top: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
}

.leaflet-popup-content .resource .content .address p {
    margin-bottom: 0;
    margin-top: 0;
}

.leaflet-popup-content .resource .content .link {
    margin-top: 10px;
    text-transform: uppercase;
    font-size: 12px;
    font-family: var(--f-grosa-regular);
    color: #707070;
    display: inline-block;
}

@media (max-width: 991px) {
    .leaflet-bottom {
        bottom: 50px !important;
    }
}

/**/
.obras-proximas {
    display: none;
}

/*Modal*/
body.timeLine .modal-backdrop {
    display: block !important;
    z-index: 3000;
}

#modal-linea-tiempo {
    z-index: 3001;
}

#modal-linea-tiempo .modal-content {
    background-color: #F4F0F0;
}

#modal-linea-tiempo .modal-header {
    color: inherit;
    background-color: inherit;
    height: 100%;
    padding: 10px 20px;
    padding-bottom: 0;
}

#modal-linea-tiempo .modal-header .modal-title {
    display: block;
    font-family: var(--f-grosa-bold);
    font-size: 26px;
    color: #393939;
    letter-spacing: 1px;
    text-transform: uppercase;
    margin-bottom: 0;
    position: relative;
    padding-left: 35px;
    white-space: inherit;
}

#modal-linea-tiempo .modal-header .modal-title .type {
    display: block;
    height: 19px;
    width: 19px;
    background-color: #004093;
    margin-right: 15px;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
}

#modal-linea-tiempo .modal-header .modal-title .type.person {
    background: var(--c-primario);
}

#modal-linea-tiempo .modal-header .modal-title .type.group {
    background-color: var(--c-morado);
}

#modal-linea-tiempo .modal-header .modal-title .type.conflicts {
    background-color: var(--c-conflictos);
}

#modal-linea-tiempo .modal-header .modal-title .type.periods {
    background-color: var(--c-periodos);
}

#modal-linea-tiempo .modal-header .modal-title .type.events {
    background-color: var(--c-eventos);
}

#modal-linea-tiempo .modal-header .modal-title .type.politicians {
    background-color: var(--c-gobernantes);
}

#modal-linea-tiempo .modal-header .material-icons {
    font-size: 32px;
}

#modal-linea-tiempo .modal-body {
    padding: 20px 0;
    max-height: 720px;
    overflow: hidden;
}

#modal-linea-tiempo .modal-body .description-wrap,
#modal-linea-tiempo .modal-body .images-wrap {
    width: 50%;
    float: left;
}

#modal-linea-tiempo .modal-body .description {
    overflow: auto;
    height: calc(100vh - 425px);
    padding-left: 20px;
    padding-right: 10px;
}

#modal-linea-tiempo .modal-body .description table tr,
#modal-linea-tiempo .modal-body .description table tr td {
    font-size: 13px;
    color: #393939;
    vertical-align: top;
    height: 20px;
}

#modal-linea-tiempo .modal-body .description table tr {
    border-bottom: 1px solid #fff;
}

#modal-linea-tiempo .modal-body .source-links {
    list-style: none;
    padding: 10px 20px;
    margin: 0;
}

#modal-linea-tiempo .modal-body .source-links a {
    display: block;
    font-family: var(--f-grosa-regular);
    font-size: 14px;
    line-height: 17px;
    color: #585757;
    text-transform: uppercase;
}

#modal-linea-tiempo .modal-body .images-wrap {
    overflow: auto;
    height: calc(100vh - 365px);
}
.enlaceResultado:hover {
    color: black; /* o cualquier otro color que desees */
}
.enlaceResultado{
    color:var(--c-texto);
}

/*Leyenda buscador obras*/
.map-caption .container .item .icon.proyecto-no-construido { background-image: url(./resources/maps/proyecto-no-construido.png); }

.centrar-icono-mapa{
    margin-left:-30px;
    margin-top:-100px;
}
/*Ajustar el numero de hijos cuando se hace hover */
.hoverNumeroHijos{
    top:27px !important;
    left:30px !important;
}

.hoverFontSize{
    font-size: 20px !important;
}

.buscador-todo .resource-list-wrap { /*padding: 30px 140px; height: calc(100vh - 144px); overflow: auto;*/ }